<div>
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ข้อมูลด้าน Finance</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดข้อมูลด้าน Finance เกี่ยวกับรายละเอียดผลิตภัณฑ์
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight d-flex">
      <button *ngIf="validate === true || validate === null" type="button" class="btn btn-primary saveDraft"
        (click)="saveDraftData()">
        บันทึกร่างใบคำขอ
      </button>

      <!-- <button
      *ngIf="userRole === 'PO'"
        type="button"
        class="btn btn-primary sandwork"
        (click)="sandwork()"
      >
        ส่งงาน
      </button> -->
    </div>
  </div>

  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>
<br />
<!-- =============================================Part Read Only=================================================== -->
<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง

        </a>
      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">
        <app-step-ten [template_manage]="{ role: null, validate: null, caaStatus: 'show' }"></app-step-ten>
        <!-- ------------------------------------------------------------------------------------------------------------------ -->
        <div>
          <br /><br />
          <div class="row" *ngIf="(validate === true || validate === null)">
            <div class="col-12">
              <label class="head-detal">อัปโหลดเอกสาร</label>
            </div>
            <div class="col-12">
              <div class="dropzone">
                <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                  (change)="onSelectFile($event)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                      application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                      application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                      .jpg,.png" />

                <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                <a style="font-size: 18px; color: #00a6e6;"
                  for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
              </div>
              <br />
            </div>
            <div class="col-12 p-0">
              <div class="table-responsives">
                <table mat-table [dataSource]="dataSource_file">
                  <!-- Position Column -->
                  <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                    <td mat-cell *matCellDef="let element">
                      <div>{{ element.fileName }}</div>
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="size">
                    <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                    <td mat-cell *matCellDef="let element">
                      {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="delete">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let index = index">
                      <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                        (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                      <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                        (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                      <a class="pipe">|</a>
                      <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                    </td>
                  </ng-container>

                  <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                  <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- ======================================Read only============================================================= -->
  <div *ngFor="let present of listSummaryStep11 ; let in = index">
    <div class="card">
      <div class="card-header" id="headingTwo_{{in}}">
        <div class="d-flex" style="width: 100%; height: 30%;">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{present.lastReviewDate}})
          </div>
          <a *ngIf="showsearch[in].value  === true" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[in].value === false" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลน้อยลง
          </a>
        </div>
      </div>

      <div id="collapseTwo_{{in}}" class="collapse" attr.aria-labelledby="headingTwo_{{in}}" data-parent="#accordion">
        <div class="card-body">
          <div>
            <div class="row">
              <div class="col-12">
                <!-- 1. หัวบัญชี วิธีการลงบัญชี และภาษี (Accounting & Tax Treatment) -->
                <label class="text-header" id="example-radio-group-label">1. หัวบัญชี วิธีการลงบัญชี และภาษี (Accounting
                  & Tax
                  Treatment)</label>
                <mat-radio-group disabled aria-labelledby="example-radio-group-label" class="example-radio-group"
                  [(ngModel)]="finance_1" (ngModelChange)="changeSaveDraft()">
                  <mat-radio-button class="example-radio-button" *ngFor="let item1 of list_finance_1" [value]="item1"
                    (change)="select_finance(1, $event); changeSaveDraft()">
                    <a [ngStyle]="{
                      color:
                        item1 == keep_list_select.radio_1 ? 'black' : '#999999'
                    }">{{ item1 }}</a>
                  </mat-radio-button>
                </mat-radio-group>
                <br />
              </div>

              <!-- 2. Field Requirements และรหัสต่าง ๆ เช่น Product Code, Market Code เป็นต้น และระบุเงื่อนไขในการ Tracking ผลิตภัณฑ์ -->

              <div class="col-12">
                <label class="text-header" id="example-radio-group-label">2. Field Requirements และรหัสต่าง ๆ เช่น
                  Product Code, Market
                  Code เป็นต้น และระบุเงื่อนไขในการ Tracking ผลิตภัณฑ์</label>
                <mat-radio-group aria-labelledby="example-radio-group-label" class="example-radio-group"
                  [(ngModel)]="finance_2" (ngModelChange)="changeSaveDraft()" disabled>
                  <mat-radio-button class="example-radio-button" *ngFor="let item2 of list_finance_2" [value]="item2"
                    (change)="select_finance(2, $event); changeSaveDraft()">
                    <a [ngStyle]="{
                      color:
                        item2 == keep_list_select.radio_2 ? 'black' : '#999999'
                    }">{{ item2 }}</a>
                  </mat-radio-button>
                </mat-radio-group>
                <br />
              </div>

              <!-- 3. แนวทางการจัดสรรรายได้และค่าใช้จ่าย (Revenue & Cost Allocation) -->

              <div class="col-12">
                <label class="text-header" id="example-radio-group-label">3. แนวทางการจัดสรรรายได้และค่าใช้จ่าย (Revenue
                  & Cost
                  Allocation)</label>
                <mat-radio-group aria-labelledby="example-radio-group-label" class="example-radio-group"
                  [(ngModel)]="finance_3" (ngModelChange)="changeSaveDraft()" disabled>
                  <mat-radio-button class="example-radio-button" *ngFor="let item3 of list_finance_3" [value]="item3"
                    (change)="select_finance(3, $event)">
                    <a [ngStyle]="{
                      color:
                        item3 == keep_list_select.radio_3 ? 'black' : '#999999'
                    }">{{ item3 }}</a>
                  </mat-radio-button>
                </mat-radio-group>
                <br />
              </div>

              <!-- 4. การเตรียมการด้านงบประมาณรองรับการลงทุน และการว่าจ้าง Outsource -->

              <div class="col-12">
                <label class="text-header" id="example-radio-group-label">4. การเตรียมการด้านงบประมาณรองรับการลงทุน
                  และการว่าจ้าง
                  Outsource</label>
                <mat-radio-group aria-labelledby="example-radio-group-label" class="example-radio-group"
                  [(ngModel)]="finance_4" (ngModelChange)="changeSaveDraft()" disabled>
                  <mat-radio-button class="example-radio-button" *ngFor="let item4 of list_finance_4" [value]="item4"
                    (change)="select_finance(4, $event)">
                    <!-- [checked]="keep_list_select.radio_4 === 'มี'" -->
                    <a [ngStyle]="{
                      color:
                        item4 == keep_list_select.radio_4 ? 'black' : '#999999'
                    }">{{ item4 }}</a>
                  </mat-radio-button>
                </mat-radio-group>
                <br />
              </div>

              <!--5.การจัดทำ Checklist รายละเอียดของผลิตภัณฑ์ เพื่อพิจารณาประเด็นที่เกี่ยวข้อง และข้อมูลที่จำเป็นในการประมวลผลตามมาตรฐานรายงานทางการเงิน IFRS 9 -->
              <div class="col-12">
                <label class="text-header" id="example-radio-group-label">5. การจัดทำ Checklist รายละเอียดของผลิตภัณฑ์
                  เพื่อพิจารณาประเด็นที่เกี่ยวข้อง และข้อมูลที่จำเป็น
                  ในการประมวลผลตามมาตรฐานรายงานทางการเงิน IFRS 9</label>
                <mat-radio-group class="example-radio-group" [(ngModel)]="finance_5" (ngModelChange)="changeSaveDraft()"
                  aria-label="Select an option" disabled>
                  <mat-radio-button class="example-radio-button" value="sub_1" (change)="select_finance(5, $event)">
                    <a [ngStyle]="{
                      color:
                        keep_list_select.radio_5.check == list_finance_5[0]
                          ? 'black'
                          : '#999999'
                    }">
                      ไม่จัดทำ IFRS 9 Chectlist</a>
                  </mat-radio-button>
                  <div class="mb-3">
                    <input class="ml-4 form-control" placeholder="ระบุเหตุผลเพิ่มเติม" style="width: 97%; height: 48px;"
                      [(ngModel)]="input_finance_5" (ngModelChange)="changeSaveDraft()"
                      [disabled]="finance_5 == 'sub_1' ? 'false' : 'true'" (change)="sub_select($event)" />
                  </div>
                  <mat-radio-button class="example-radio-button" value="sub_2" (change)="select_finance(5, $event)">
                    <a [ngStyle]="{
                      color:
                        keep_list_select.radio_5.check == list_finance_5[1]
                          ? 'black'
                          : '#999999'
                    }">
                      จัดทำ IFRS 9 Chectlist
                    </a>
                  </mat-radio-button>
                </mat-radio-group>
                <!----------------- sub-5 --------------->
                <div>
                  <mat-radio-group aria-labelledby="example-radio-group-label" class="example-radio-group"
                    [(ngModel)]="finance_5_sub" (ngModelChange)="changeSaveDraft()"
                    [disabled]="finance_5 == 'sub_2' ? 'false' : 'true'" disabled>
                    <mat-radio-button class="example-radio-button" *ngFor="let sub_item5 of list_finance_5_sub"
                      [value]="sub_item5" (change)="sub_select($event)" disabled>
                      <a [ngStyle]="{
                        color:
                          sub_item5 == keep_list_select.radio_5.select
                            ? 'black'
                            : '#999999'
                      }">{{ sub_item5 }}</a>
                    </mat-radio-button>
                  </mat-radio-group>
                </div>
              </div>
            </div>
            <!----------------- sub-5 --------------->
          </div>

          <!-- ------------------------------------------------------------------------------------------------------------------ -->
          <div>
            <label style="
              color: #999999;
              font-family: Prompt;
              font-size: 18px;
              font-weight: 500;
              letter-spacing: 0;
              line-height: 28px;
            ">ไฟล์เอกสารเพิ่มเติม</label>
            <br />
            <div class="row">
              <div class="col-12 table_files">
                <table mat-table [dataSource]="dataSource_file_summary">
                  <!-- Position Column -->
                  <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                    <td mat-cell *matCellDef="let element">
                      {{ element.fileName }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="size">
                    <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                    <td mat-cell *matCellDef="let element">
                      {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="download">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let index = index">
                      <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    </td>
                  </ng-container>

                  <tr mat-header-row *matHeaderRowDef="displayedColumns_file_summary"></tr>
                  <tr mat-row *matRowDef="let row; columns: displayedColumns_file_summary"></tr>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------------------------------------------------------------------------------ -->
<div>
  <br />
  <br />

  <div class="row">
    <div class="col-12" *ngIf="(validate === true || validate === null)">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">
        ถัดไป
      </button>
    </div>
  </div>
  <br />
</div>
<div class="row" *ngIf="validate === false">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>